# Send a test delivery to a webhook endpoint `POST /webhooks/{id}/test` **Required scope:** `webhooks:manage` Takes no body. ## Parameters | Name | In | Required | Description | |---|---|---|---| | `id` | path | yes | id of the target record | ## Responses | Status | Meaning | |---|---| | `200` | Success | | `400` | BadRequest | | `401` | Unauthorized | | `403` | Forbidden | | `429` | RateLimited | ## Example ```bash curl -X POST "https://backend.immut.io/api/v1/webhooks//test" \ -H "Authorization: Bearer $IMMUT_API_KEY" ``` ## OpenAPI fragment ```json { "/webhooks/{id}/test": { "post": { "operationId": "postwebhooksidtest", "summary": "Send a test delivery to a webhook endpoint. Takes no body.", "description": "Send a test delivery to a webhook endpoint. Takes no body.", "parameters": [ { "name": "id", "in": "path", "required": true, "schema": { "type": "string" }, "description": "id of the target record" } ], "responses": { "200": { "description": "Success" }, "400": { "$ref": "#/components/responses/BadRequest" }, "401": { "$ref": "#/components/responses/Unauthorized" }, "403": { "$ref": "#/components/responses/Forbidden" }, "429": { "$ref": "#/components/responses/RateLimited" } }, "tags": [ "Webhooks" ], "x-required-scope": "webhooks:manage" } } } ```